Package org.apache.sysds.runtime.io

# Class FrameWriterParquet

java.lang.Object
org.apache.sysds.runtime.io.FrameWriter
org.apache.sysds.runtime.io.FrameWriterParquet

Direct Known Subclasses:
  `FrameWriterParquetParallel`

public class FrameWriterParquet extends FrameWriter
Single-threaded frame parquet writer.

## Constructor Summary

Constructors
Constructor
Description
`FrameWriterParquet()`

## Method Summary

Modifier and Type
Method
Description
`final void`
`writeFrameToHDFS(FrameBlock src, String fname, long rlen, long clen)`
Writes a FrameBlock to a Parquet file on HDFS.

### Methods inherited from class org.apache.sysds.runtime.io.FrameWriter

`setForcedParallel`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FrameWriterParquet

public FrameWriterParquet()

## Method Details

### writeFrameToHDFS

public final void writeFrameToHDFS(FrameBlock src, String fname, long rlen, long clen) throws IOException, DMLRuntimeException
Writes a FrameBlock to a Parquet file on HDFS.

Specified by:
  `writeFrameToHDFS` in class `FrameWriter`
Parameters:
  `src` - The FrameBlock containing the data to write.
  `fname` - The HDFS file path where the Parquet file will be stored.
  `rlen` - The expected number of rows.
  `clen` - The expected number of columns.
Throws:
  `IOException`
  `DMLRuntimeException`